GET
/lending/v2/credit-linesBuscar líneas de crédito
El endpoint lending/v2/credit-lines te permite buscar líneas de crédito aplicando filtros opcionales y paginación.
- La paginación se controla con
page[number](base 0) ypage[size];meta.paginationindica la página actual, el tamaño de página y el total de páginas. - Para obtener el detalle de una línea de crédito, o su producto con
include=product, usáGET lending/v2/credit-lines/{credit_line_id}.
¿Querés conocer más sobre las líneas de crédito? Mirá nuestra documentación.
Parámetros disponibles
Query Parameters
filter[id]String
filter[user_id]String
filter[status]enum
filter[offer_start_date][from]String
filter[offer_start_date][to]String
filter[activation_date][from]String
filter[activation_date][to]String
page[size]Integer
page[number]Integer
Autenticación
🔒BearerAuthhttp
Detalle de respuestas
401
Sin cuerpo. El token falta, es inválido o no identifica a un cliente.
403
Sin cuerpo. El token es válido pero no tiene el scope que requiere el endpoint.
Ejemplo de código
curl -X GET "https://api.pomelo.la/lending/v2/credit-lines?filter[id]=lcr-2HMwKzetERdOEhbT86UweXamPle&filter[user_id]=usr-2HMvSDccc5PZzCvZ98lfeXamPle&filter[status]=ACTIVE&filter[offer_start_date][from]=2026-11-01&filter[offer_start_date][to]=2026-12-31&filter[activation_date][from]=2026-11-01&filter[activation_date][to]=2026-12-31&page[size]=10&page[number]=0" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY"Ejemplo de respuesta (200)Respuesta de búsqueda de líneas de crédito v2
{
"data": [
{
"id": "lcr-2HMwKzetERdOEhbT86UweXamPle",
"hierarchy_id": "hie-2HMvSDccc5PZzCvZ98lfeXamPle",
"node_id": "nod-2HMvSDccc5PZzCvZ98lfeXamPle",
"company_id": "cmp-2HMvSDccc5PZzCvZ98lfeXamPle",
"user_id": "usr-2HMvSDccc5PZzCvZ98lfeXamPle",
"product_id": "lpr-2HMwKzetERdOEhbT86UweXamPle",
"segment_id": "lsg-3JswKtetEReOEssT86UweXa4do2",
"person_type": "NATURAL",
"country": "MEX",
"lifecycle": {
"offer": {
"start_date": "2026-11-01",
"end_date": "2027-10-31"
},
"status": {
"value": "ACTIVE",
"detail": {
"reason": "CUSTOMER_REQUESTED",
"comment": "string"
}
},
"created_at": "2026-11-01T00:00:00Z",
"activated_at": "2024-01-01T00:00:00Z",
"settled_at": "2024-01-01T00:00:00Z",
"closed_at": "2024-01-01T00:00:00Z"
},
"balance": {
"single_payment": {
"limit": "10000.00",
"utilization": "2500.00",
"available": "7500.00"
},
"installments": {
"limit": "10000.00",
"utilization": "2500.00",
"available": "7500.00"
},
"cash_advance": {
"limit": "10000.00",
"utilization": "2500.00",
"available": "7500.00"
}
},
"billing_cycles": {
"billing_date_strategy": "FIXED_DUE_DATE",
"due_day": 15,
"updated_at": "2024-01-01T00:00:00Z"
},
"contracted_services": [
{
"type": "CREDIT_LIFE_INSURANCE",
"status": "ACTIVE",
"currency": "PEN"
}
]
}
],
"meta": {
"pagination": {
"total_pages": 2,
"current_page": 0,
"page_size": 10
}
}
}